<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <style></style>

        <script src="https://aframe.io/releases/0.8.0/aframe.min.js"></script>
        <script src="js/aframe-ar.js"></script>
        <script src="js/aframe-extras.min.js"></script>
        <script src="https://rawgit.com/bryik/aframe-bmfont-text-component/master/dist/aframe-bmfont-text-component.min.js"></script>

        <script
            defer
            src="https://www.gstatic.com/firebasejs/6.2.0/firebase-app.js"
        ></script>
        <script
            defer
            src="https://www.gstatic.com/firebasejs/6.2.0/firebase-auth.js"
        ></script>
        <script
            defer
            src="https://www.gstatic.com/firebasejs/6.2.0/firebase-database.js"
        ></script>
        <script>
            var toggle = function () {
                document.querySelector("#blocker").style.display = "none";
                var container = document.querySelector("#myEmbeddedScene");
                if (container.style.display === "block") {
                    container.style.display = "none";
                } else {
                    container.style.display = "block";
                }
            };
        </script>
    </head>

    <body style="margin: 0px; overflow: hidden; font-family: Monospace">
        <button onclick="toggle()">TOGGLE</button>
        <div id="myEmbeddedScene">
            <div id="blocker"></div>
            <a-scene embedded>
                <a-box position="0 1 -2" color="blue"></a-box>
            </a-scene>
        </div>
    </body>
</html>
